OpenVDB 5.1.0

Public Member Functions | Public Attributes | List of all members
Morphology< TreeType >::Neighbor Struct Reference

`#include <Morphology.h>`

## Public Member Functions
| Neighbor ()
void | clear ()
template<int DX, int DY, int DZ>
void | scatter (AccessorType &acc, const Coord &xyz, int indx, Word mask)
template<int DX, int DY, int DZ>
Word | gather (AccessorType &acc, const Coord &xyz, int indx)

## Public Attributes
LeafType * | leaf
bool | init
bool | isOn

## Constructor & Destructor Documentation

## ◆ Neighbor()

Neighbor | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

## ◆ gather()

Word gather | ( | AccessorType & | acc,
|  | const Coord & | xyz,
|  | int | indx
| ) |  |
| inline

## ◆ scatter()

void scatter | ( | AccessorType & | acc,
|  | const Coord & | xyz,
|  | int | indx,
|  | Word | mask
| ) |  |
| inline

## Member Data Documentation

## ◆ init

bool init

## ◆ isOn

bool isOn

## ◆ leaf

LeafType* leaf

The documentation for this struct was generated from the following file:

- Morphology.h